KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase - Use this command to invoke single phase of the "init" workflow

SYNOPSIS

kubeadm init phase [OPTIONS]

DESCRIPTION

Use this command to invoke single phase of the "init" workflow

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-init(1), kubeadm-init-phase-addon(1), kubeadm-init-phase-bootstrap-token(1), kubeadm-init-phase-certs(1), kubeadm-init-phase-control-plane(1), kubeadm-init-phase-etcd(1), kubeadm-init-phase-kubeconfig(1), kubeadm-init-phase-kubelet-finalize(1), kubeadm-init-phase-kubelet-start(1), kubeadm-init-phase-mark-control-plane(1), kubeadm-init-phase-preflight(1), kubeadm-init-phase-show-join-command(1), kubeadm-init-phase-upload-certs(1), kubeadm-init-phase-upload-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!